Bug 654286 - Konsole crashes X after upgrade from Fedora 13 x86_64 to Fedora 14 x86_64 (with three cards per computer)
Konsole crashes X after upgrade from Fedora 13 x86_64 to Fedora 14 x86_64 (wi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On: 645940
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 07:49 EST by Thomas Spear
Modified: 2012-06-14 18:37 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 18:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Spear 2010-11-17 07:49:38 EST
Description of problem:
Any time I try to start Konsole, X crashes. NOTE: I am using gnome, standard fedora install, but with konsole and it's dependencies installed

Version-Release number of selected component (if applicable):
4.5.2-2

How reproducible:
100%

Steps to Reproduce:
0. Install konsole in F13 and verify that it is working.
1. Upgrade from F13 to F14 with preupgrade.
2. Attempt to start konsole in F14 and X will segfault.
  
Actual results:
X Crashes

Expected results:
Konsole starts

Additional info:
My Xorg log https://bugzilla.redhat.com/attachment.cgi?id=461048 -- it is attached to a different bug as I was unsure of the cause of the X crash until I tried to start konsole again after the initial crash.
Comment 1 Rex Dieter 2010-11-17 09:12:13 EST
A vast majority of the time, X crash -> kernel/driver bug

Backtrace:
[  3002.475] 0: /usr/bin/Xorg (xorg_backtrace+0x2d) [0x483065]
[  3002.475] 1: /usr/bin/Xorg (0x400000+0x52cb2) [0x452cb2]
[  3002.475] 2: /lib64/libc.so.6 (0x319f000000+0x340e0) [0x319f0340e0]
[  3002.475] 3: /usr/bin/Xorg (0x400000+0x8ca05) [0x48ca05]
[  3002.475] 4: /usr/bin/Xorg (0x400000+0x2b02e) [0x42b02e]
[  3002.475] 5: /usr/bin/Xorg (0x400000+0x215da) [0x4215da]
[  3002.475] 6: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x319f01ee7d]
[  3002.475] 7: /usr/bin/Xorg (0x400000+0x210a9) [0x4210a9]
[  3002.475] Segmentation fault at address 0x4

I see nvidia binary driver in play here too. :(
Comment 2 Rex Dieter 2010-11-17 09:12:53 EST
reassigning where crash occurs -> Xorg
Comment 3 Thomas Spear 2010-11-17 09:33:19 EST
I will test with nouveau tonight then. Any chance that the nvidia driver is what is causing the slowness in the bug that the attachment I linked is actually attached to?
Comment 4 Rex Dieter 2010-11-17 12:15:02 EST
there's a good chance, but I've no idea what the other bug # is?
Comment 5 Thomas Spear 2010-11-17 19:47:37 EST
bug 654280
Comment 6 Thomas Spear 2010-11-18 00:36:46 EST
So after some testing, I have run into and discovered the cause of a problem I reported on Fedora 13.

Nouveau does not like the multi-card setup in my machine. It does not like it so much that it causes udev to hang during device detection. Removing all but 1 of the 3 cards in my machine allows the machine to boot with nouveau enabled, at which point I no longer get the crash and no longer get the slowness in 654280.

Now, I am currently running one monitor on this dual-head card, so before this gets closed as invalid, I think some tests are in order.

Firstly, I need to enable the second monitor on this one card and see if Konsole crashes. 

If not, then some redhat/nouveau guy needs to fix nouveau to work on a multi-card setup again, so I can properly test the konsole crash with all 3 cards installed.
Comment 7 Matěj Cepl 2010-11-18 09:29:09 EST
Waiting on bug 654280 comment 9
Comment 8 Robert Peterson 2010-11-18 12:51:49 EST
I have the exact same issue, also with the NVIDIA driver.
The driver works fine for me until I run cssh (clusterssh)
then X crashes with the same messages.  Easy to recreate.

I also cannot run the nouveau driver due to bug #540922.
I've got one dual-port GEForce.  The lspci says it's a:

nVidia Corporation G94 [GeForce 9600 GT] (rev a1)

I'm running with two monitors attached.
Comment 9 Matěj Cepl 2010-11-23 08:42:53 EST
Is this http://awbsworld.de/archives/37 have any relevance to this bug?
Comment 10 Andreas Bierfert 2010-11-23 09:01:57 EST
(In reply to comment #9)
> Is this http://awbsworld.de/archives/37 have any relevance to this bug?

I think this is related and fixed in xorg-x11-server build in koji (which is not submitted as an upgrade for f14 yet):

* Tue Nov 09 2010 Adam Jackson <ajax@redhat.com> 1.9.1-3
- xserver-1.9.1-pxtc-crash.patch: Fix crash with Xinerama enabled 

Try to fetch it from koji and see if this resolves the issue
https://koji.fedoraproject.org/koji/buildinfo?buildID=204393
Comment 11 Thomas Spear 2010-12-01 06:29:35 EST
Still waiting for an opportunity to test this. Sorry for the lack of input
Comment 12 Thomas Spear 2010-12-01 06:33:25 EST
I've gotten 2 displays on one card working with nouveau. Konsole does not crash.

Still waiting for an opportunity to test this further. Sorry for the lack of input.
Comment 13 Thomas Spear 2011-11-25 21:58:50 EST
I am no longer able to test this as I have changed companies. This can be closed.
Comment 14 Thomas Spear 2012-06-14 18:08:14 EDT
Fedora 13 is EOL. This can be closed unless someone has the issue in F15 (F16 as of June 2[4,6]).

Note You need to log in before you can comment on or make changes to this bug.